package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.Armor;
import org.project.item.weapons.Weapon;

// TODO: UPDATE IMPLEMENTATION
public class Knight extends Player {

    public Knight(String name, int hp, int mp, Weapon weapon, Armor armor){
        super(name, hp, mp, weapon, armor, 400,40);
    }

    @Override
    public void specialAbility(Entity target) {
        System.out.println("Performing shield bash...");
        target.stun(true);
        target.takeDamage(50);
    }
}
